package intrinsic.flash.printing;

public class PrintJob extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public String orientation;
	public int paperHeight;
	public int pageHeight;
	public int pageWidth;
	public int paperWidth;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public PrintJob() {
}


/** Static Methods */

/** Methods */
public native void addPage(intrinsic.flash.display.Sprite arg0);
public native void addPage(intrinsic.flash.display.Sprite arg0, intrinsic.flash.geom.Rectangle arg1);
public native void addPage(intrinsic.flash.display.Sprite arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.printing.PrintJobOptions arg2);
public native void addPage(intrinsic.flash.display.Sprite arg0, intrinsic.flash.geom.Rectangle arg1, intrinsic.flash.printing.PrintJobOptions arg2, int arg3);
public native void send();
public native boolean start();

}
